package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Site roaming setting
 */
@ApiModel(description = "Site roaming setting")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteRoamingSetting   {
  @JsonProperty("roaming")
  private RoamingOpenApiVo roaming;

  public SiteRoamingSetting roaming(RoamingOpenApiVo roaming) {
    this.roaming = roaming;
    return this;
  }

  /**
   * Get roaming
   * @return roaming
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public RoamingOpenApiVo getRoaming() {
    return roaming;
  }

  public void setRoaming(RoamingOpenApiVo roaming) {
    this.roaming = roaming;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteRoamingSetting siteRoamingSetting = (SiteRoamingSetting) o;
    return Objects.equals(this.roaming, siteRoamingSetting.roaming);
  }

  @Override
  public int hashCode() {
    return Objects.hash(roaming);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteRoamingSetting {\n");
    
    sb.append("    roaming: ").append(toIndentedString(roaming)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

